import java.awt.Font;

/**
 * Balkendiagramm für int-Array.
 * 
 * @author Schaller 
 * @version 29.11.18
 */
public class Balkendiagramm extends Picture

{
   // Liste mit allen Werten
    int[]    zahlen={45, 23, 123, 87, 98, 2, 1, 23, 23, 34};;

    // Schriften
    Font kleineSchrift;  
    Font grosseSchrift;

    public Balkendiagramm() {
        size(1000, 700);
        background(0);
        kleineSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 12 );
        grosseSchrift = new Font( Font.SANS_SERIF, Font.PLAIN, 20 );
        zeichneBalken();
    }

    public void zeichneBalken() {
        clear();
        // Überschrift
        fill(255,255,255);
        textFont(grosseSchrift);
        text("Balkendiagramm", 2, 20);
        textFont(kleineSchrift);  

        // Alle Einträge darstellen
        for (int i = 0; i< zahlen.length; i++) {

            fill(20,30,170);

            // Balkendiagramm zeichnen
            rect(120, 25+i*15, zahlen[i]+1, 13);

            // Beschriftung
            fill(255,255,255);
            text("i="+i, 2, 35+i*15);
            text("zahlen["+i+"]="+zahlen[i], 30, 35+i*15);
        }
    }

}
